
Name: vtg
Version: 0.10.3
Release: alt1
Summary: Vala development plugin for gEdit.

Group: Editors
License: GPLv2+
Url: http://vtg.googlecode.com
Packager: Alexey Shabalin <shaba@altlinux.ru>

Source: http://vtg.googlecode.com/files/%name-%version.tar 
Patch0: %name-%version-%release.patch

%define glib_ver 2.16.0
%define gtk_ver 2.18.0
%define gedit_ver 2.28.0
%define gtksourceview_ver 2.10.3
%define vala_ver 0.9.5
%define gconf_ver 2.22.0


BuildPreReq: rpm-build-gnome
BuildRequires: vala libvala-devel >= %vala_ver libgee-devel
BuildRequires: glib2-devel >= %glib_ver libgio-devel >= %glib_ver
BuildRequires: libgtk+2-devel >= %gtk_ver
BuildRequires: gedit-devel >= %gedit_ver
BuildRequires: libgtksourceview-devel >= %gtksourceview_ver
BuildRequires: libGConf-devel >= %gconf_ver
BuildRequires: intltool gtk-doc

%description
Vala developer toys contains a plugin to help the develpment
of a vala program in gedit.
The following modules are included:
 * Bracket Completion: Automatically adds closing brackets.
 * Symbol Completion: Automatically complete source code.
 * Project Manager: A simple project manager base on autotools
The vala-gen-project utility is also included.


%package -n libafrodite
Summary: Library containing the completion engine.
Group: System/Libraries

%description -n libafrodite
New completion library.

%package -n libafrodite-devel
Summary: Library containing the completion engine.
Group: System/Libraries
Requires: libafrodite = %version-%release

%description -n libafrodite-devel
Development package for libafrodite.

%package -n gedit-plugins-%name
Summary: Vala development plugin for gEdit.
Group: Editors
PreReq: gedit
Requires: %name = %version-%release

%description -n gedit-plugins-%name
Vala developer toys contains a plugin to help the develpment
of a vala program in gedit.

%prep
%setup -q
%patch0 -p1
touch ChangeLog
mkdir -p m4
# version in .tarball-version file
echo "%version" > .tarball-version


%build
%autoreconf
%configure --disable-static
%make

%install
%make DESTDIR=%buildroot install

%find_lang %name
%find_lang gtksourcecompletion-2.0

%files
%doc AUTHORS COPYING COPYING-GPL COPYING-LGPL ChangeLog INSTALL MAINTAINERS NEWS README THANKS TODO
%_bindir/*
%_datadir/%name
%_man1dir/*.gz

%files -n libafrodite
%_libdir/libafrodite.so.*

%files -n libafrodite-devel
%_includedir/afrodite-1.0
%_includedir/gen-project-1.0
%_libdir/libafrodite.so

%files -n gedit-plugins-%name -f %name.lang
%gedit_pluginsdir/*

%changelog
* Thu Mar 10 2011 Alexey Shabalin <shaba@altlinux.ru> 0.10.3-alt1
- 0.10.3

* Mon Oct 11 2010 Alexey Shabalin <shaba@altlinux.ru> 0.10.2-alt1
- 0.10.2
- drop libgtksourcecompletion

* Thu Apr 22 2010 Alexey Shabalin <shaba@altlinux.ru> 0.7.0-alt2
- update release for upgrade libgtksourcecompletion in repo

* Thu Apr 22 2010 Alexey Shabalin <shaba@altlinux.ru> 0.7.0-alt1
- snapshot r574
- build GtkSourceCompletion from this package until vtg will be ported to the new completion api of GtkSourceView.

* Tue Dec 08 2009 Alexey Shabalin <shaba@altlinux.ru> 0.6.1-alt1
- Initial release
